#
# spec file for package python-Hatta
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Hatta
Version:        1.6.3
Release:        2.2
Url:            http://hatta-wiki.org/
Summary:        Wiki engine that lives in Mercurial repository
License:        GPL-2.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/H/Hatta/Hatta-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  mercurial >= 1.0
BuildRequires:  python-Jinja2
BuildRequires:  python-Werkzeug >= 0.3
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       mercurial >= 1.0
Requires:       python-Jinja2
Requires:       python-Werkzeug >= 0.3
Requires:       python-pybonjour >= 1.1.1
Provides:       python-hatta = %{version}
Obsoletes:      python-hatta < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Hatta Wiki is a wiki engine designed to be used with Mercurial repositories.
It requires Mercurial and Werkzeug python modules.

Hatta's pages are just plain text files (and also images, binaries, etc.) in
some directory in your repository. For example, you can put it in your
project's "docs" directory to keep documentation. The files can be edited both
from the wiki or with a text editor -- in either case the changes committed to
the repository will appear in the recent changes and in page's history.

%{lang_package}
%prep
%setup -q -n Hatta-%{version}
# remove shebangs from all scripts
find . -name '*.py' -exec sed -i -e '1{/^#!/d}' {} \;

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Install documentation on default Opensuse docdir
rm -rf %{buildroot}/%{_datadir}/doc/hatta

%find_lang hatta

#%%check
#python setup.py test

%files
%defattr(-,root,root,-)
%doc examples/extend_parser.py examples/hatta.fcg examples/hatta.wsgi
%{python_sitelib}/*

%files lang -f hatta.lang
%defattr(-,root,root,-)

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 1.6.3
  + No changelog available
* Mon Jan 14 2013 saschpe@suse.de
- Minimal cleanup
* Sat Jan 12 2013 p.drouand@gmail.com
- Update to 1.5.3 version:
  * Warning: more HTML classes and ids changed. Update your custom CSS.
  * Added support for ReCAPTCHA on the edit page.
  * Bugfix: cherrypy: TypeError: 'list' object is not callable
    ( https://bitbucket.org/thesheep/hatta/issue/83/ )
- Adapt the specfile for the setup.py usage
* Fri Jun 22 2012 saschpe@suse.de
- Update to version 1.4.5:
  + Upstream provides no changelog
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
